Name:           cockpit-image-builder
Version:        70
Release:        1.20250707055314051385.pr3400.40.gafd881d7%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-71.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Jul 7 2025 Packit <hello@packit.dev> - 70-1.20250707055314051385.pr3400.40.gafd881d7
- build(deps-dev): bump @babel/preset-env from 7.27.2 to 7.28.0 (dependabot[bot])
- fix: hms-8708 landing page sticky header (CD Cabrera)
- Run actions with Node 22 (regexowl)
- api: Update `pull.sh`, regenerate schemas and fix errors (regexowl)
- Remove devel dockerfile and update README (regexowl)
- Wizard: Replace deprecated Modals with non-deprecated ones (regexowl)
- Wizard: Replace VMware radios with checkboxes (regexowl)
- Remove IQE scripts and configs (regexowl)
- BlueprintCard: Make hand cursor appear on hover (Lucas Garfield)
- devDeps: Bump @typescript-eslint (regexowl)
- Wizard: Hide Kernel step for WSL (regexowl)
- Fix: package search bug with RH repos in template (Dominik Vagner)
- build(deps-dev): bump @babel/preset-typescript from 7.27.0 to 7.27.1 (dependabot[bot])
- build(deps-dev): bump @types/node from 24.0.4 to 24.0.10 (dependabot[bot])
- Wizard: Remove repository column from packages table (regexowl)
- build(deps-dev): bump sass from 1.88.0 to 1.89.2 (dependabot[bot])
- build(deps): bump @redhat-cloud-services/frontend-components (dependabot[bot])
- devDeps: Bump eslint-plugin-testing-library (regexowl)
- build(deps): bump @redhat-cloud-services/frontend-components-notifications (dependabot[bot])
- Wizard: Hide FSC step for WSL targets (regexowl)
- deps: migrate fec/notifications (Gianluca Zuccarelli)
- build(deps-dev): bump @babel/core from 7.27.4 to 7.27.7 (dependabot[bot])
- Playwright: Update login (regexowl)
- PackageRecommendations: Add distribution to package recommendations (Michal Gold)
- Wizard: Render labels for all FSC table columns (regexowl)
- workflows: split out dev checks into jobs (Gianluca Zuccarelli)
- workflows: split out unit tests (Gianluca Zuccarelli)
- Wizard: add EPEL 10 support (Dominik Vagner)
- build(deps-dev): bump stylelint from 16.18.0 to 16.21.0 (dependabot[bot])
- Update Konflux references (red-hat-konflux[bot])
- test: Add templates/:uuid mock handler (regexowl)
- Wizard: Deduplicate `ManageRepositoriesButton` (regexowl)
- playwright: Add check to ensure test is authenticated (Tom Koscielniak)
- Manually revert "Fedora-services: add support for fedora env" (regexowl)
- Wizard: Parse locale codes to readable options (regexowl)
- test: Add mock handler for `repository_parameters` (regexowl)
- build(deps-dev): bump @types/node from 24.0.3 to 24.0.4 (dependabot[bot])
- build(deps-dev): bump @vitejs/plugin-react from 4.4.1 to 4.6.0 (dependabot[bot])
- cockpit/README.md: initial version (Florian Schüller)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
